<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <main>
        <div>
            <!-- references the context key in detail view -->
            <h1>{{ task_object.name }}</h1>
            <p><a href="{% url 'todo_list_update' task_object.id %}">Edit</a></p>
            <h2>Tasks</h2>
        </div>
        <table>
            <thead>
                <tr>
                    <th>Task</th>
                    <th>Due date</th>
                </tr>
            </thead>
            <tbody>
                {% for item in task_object.items.all %}
                <tr>
                    <td>{{ item.task }}</td>
                    <td>{{ item.due_date }}</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </main>
</body>
</html>
